(*
 * Matthew Stone
 * Spud 0.3 - 1/99
 *
 * Signature of some actions to supply on an
 * interactive pipe to spud.
 *)

signature MAIN_ACTS =
    sig
	structure Main : MAIN

	val actions : Main.action list
	val init: string * string list -> unit
	val input: unit -> string
	val output: string -> unit
	val finish: unit -> OS.Process.status
    end
