signature FIELDS =
    sig
	datatype field = 
	    F of {name: string,
		  init: string,
		  test: string -> bool}

	datatype fieldinfo =
	    FI of {name: string,
		   minwidth: int option,
		   done: string list option CML.chan,
		   die: bool CML.chan,
		   fields: field list,
		   action: (string list -> unit) option}

	val cvtField : 'a FieldStr.fld * string -> field

	val mkSimpleFields : Widget.root * fieldinfo -> Widget.widget
	val mkFields : Widget.root * fieldinfo -> Shell.shell

	val getInfo : Widget.root * string * field list * int option -> string list option
	val getFile : Widget.root * string * bool -> string option

	val mkSimpleFieldView : Widget.root * fieldinfo -> Widget.widget
	val mkFieldView : Widget.root * fieldinfo -> Shell.shell
    end

