
signature CORPED =
    sig
	datatype 'a elt =
	    CE of {key:string,
		   data: 'a}

	datatype 'a actions =
	    AL of {init : 'a,
		   group : string list -> 'a elt option,
		   write : string * 'a -> string,
		   edit : string * 'a * 'a option CML.chan * bool CML.chan -> Shell.shell,
		   done : unit CML.chan,
		   die : bool CML.chan}

	datatype 'a corpinfo =
	    CI of {actions: 'a actions,
		   elinits: 'a elt list}

	val mkRawCorped : Widget.root -> 'a corpinfo -> Widget.widget
	val mkSimpleCorped : Widget.root -> 'a corpinfo -> Widget.widget
	val mkCorped : Widget.root -> 'a corpinfo -> Shell.shell
    end

